.layout {
    display: flex;
    height: 100vh;
    &-left {
        width: 280px;
        min-width: 280px;
        height: 100%;
        background-color: rgba(#eee, 1);
        backdrop-filter: blur(20px);
        padding: 15px 0;
        & > div:first-child {
            margin: 0 30px 15px;
        }
        & > div:last-child {
            height: 100%;
        }
        .ms-Nav-group,
        .ms-Nav-groupContent,
        .ms-Nav-navItems {
            height: 100%;
        }
    }
    &-right {
        width: 100%;
        background-color: #fff;
        padding: 30px;
        .switch-wrapper > div {
            width: 100%;
        }
    }
    &-full {
        width: 100%;
        .switch-wrapper,
        .switch-wrapper > div {
            width: 100%;
            height: 100%;
        }
    }
}